As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 747642 - cleanup in AndroidJNI
: cleanup in AndroidJNI
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla15
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
: Jim Chen [:jchen] [:darchons]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 08:43 PDT by Brad Lassey [:blassey] (use needinfo?)
Modified: 2012-05-08 20:28 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (4.47 KB, patch)
2012-04-21 08:43 PDT, Brad Lassey [:blassey] (use needinfo?)
mwu.code: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image Brad Lassey [:blassey] (use needinfo?) 2012-04-21 08:43:41 PDT
Created attachment 617226 [details] [diff] [review]
patch

mwu, any reason you did it this way in the first place?
Comment 1 User image Michael Wu [:mwu] 2012-04-21 08:48:09 PDT
Comment on attachment 617226 [details] [diff] [review]
patch

You'll have to ask vlad since I didn't write this.
Comment 2 User image Ryan VanderMeulen [:RyanVM] 2012-04-24 16:11:04 PDT
Follow-up for Android XUL bustage.
https://hg.mozilla.org/integration/mozilla-inbound/rev/f0c4bc2aba54
Comment 5 User image Brad Lassey [:blassey] (use needinfo?) 2012-04-30 13:58:26 PDT
Comment on attachment 617226 [details] [diff] [review]
patch

requesting approval to avoid "merge conflicts" going forward. They won't be merge conflicts in the traditional sense, instead the patches will apply and then the build will crash mysteriously on startup.

This is a very safe change.

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: None, this is code clean up
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch: none
Comment 6 User image Alex Keybl [:akeybl] 2012-05-03 09:19:43 PDT
Comment on attachment 617226 [details] [diff] [review]
patch

[Triage Comment]
Mobile only, approving for Aurora 14.
Comment 7 User image Brad Lassey [:blassey] (use needinfo?) 2012-05-08 20:28:27 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/317262a2c3b7

Note You need to log in before you can comment on or make changes to this bug.